=== mule-packages/latin-euro-standards/Makefile ===
# Makefile for latin-euro-standards

# This file is part of XEmacs.

# XEmacs is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# XEmacs is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with XEmacs; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

VERSION = 1.08
# XEmacs CVS version is canonical.
AUTHOR_VERSION = $(VERSION)
MAINTAINER = Aidan Kehoe <aidan@xemacs.org>
PACKAGE = latin-euro-standards
PKG_TYPE = regular
REQUIRES = mule-base
CATEGORY = mule

STANDARD_DOCS = t

ELCS = latin-euro-latin7.elc latin-euro-latin8.elc latin-euro-latin9.elc \
	latin-euro-latin10.elc latin-euro-standards.elc

EXTRA_DEPENDENCIES = $(ELCS)

include ../../XEmacs.rules
