=== mule-packages/leim/Makefile ===
# Makefile for LEIM/Quail code

# This file is part of XEmacs.

# XEmacs is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# XEmacs is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with XEmacs; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

VERSION = 1.28
AUTHOR_VERSION =
MAINTAINER = XEmacs Development Team <xemacs-beta@xemacs.org>
PACKAGE = leim
PKG_TYPE = regular
REQUIRES = leim mule-base fsf-compat xemacs-base latin-euro-standards
CATEGORY = mule

ELCS = quail.elc leim-list.elc

ELCS_1 = quail/4Corner.elc quail/ARRAY30.elc quail/CCDOSPY.elc		    \
	quail/CTLau-b5.elc quail/CTLau.elc quail/ECDICT.elc quail/ETZY.elc  \
	quail/PY-b5.elc quail/PY.elc quail/Punct-b5.elc quail/Punct.elc	    \
	quail/QJ-b5.elc quail/QJ.elc quail/SW.elc quail/TONEPY.elc	    \
	quail/ZIRANMA.elc quail/ZOZY.elc quail/croatian.elc		    \
	quail/cyril-jis.elc quail/cyrillic.elc quail/czech.elc		    \
	quail/ethiopic.elc quail/greek.elc quail/hangul.elc		    \
	quail/hangul3.elc quail/hanja-jis.elc quail/hanja.elc quail/ipa.elc \
	quail/latin-alt.elc quail/latin-post.elc quail/latin-pre.elc	    \
	quail/py-punct.elc quail/pypunct-b5.elc quail/quick-b5.elc	    \
	quail/quick-cns.elc quail/sisheng.elc quail/slovak.elc		    \
	quail/symbol-ksc.elc quail/thai-xtis.elc quail/tsang-b5.elc	    \
	quail/tsang-cns.elc quail/viqr.elc quail/vntelex.elc

# #### quail/thai.elc not included because it uses category infrastructure
# that we haven't yet decided how to handle in XEmacs.

# Compiling the following files fails with silent data corruption on 21.4,
# and they are not computationally intensive, so we install them as Lisp
# source, to be included in leim-list.el and loaded under 21.5 and ignored
# under 21.4. They error when loaded in an XEmacs that doesn't support the
# characters needed.

# #### Move these to ELCS_1 once 21.4 is deprecated.

EXTRA_SOURCES= quail/cyrillic-tajik.el quail/georgian.el quail/ipa-21.5.el \
	quail/latin-ltx.el quail/rfc1345.el quail/sgml-input.el quail/welsh.el

ELCS_1_FILES = $(ELCS_1) $(ELCS_1:.elc=.el)
ELCS_1_DEST = $(PACKAGE)/quail

include ../../XEmacs.rules
