=== mule-packages/lookup/Makefile ===
VERSION = 1.15
AUTHOR_VERSION = 1.0
MAINTAINER = XEmacs Development Team <xemacs-beta@xemacs.org>
PACKAGE = lookup
PKG_TYPE = regular
REQUIRES = mule-base cookie lookup
CATEGORY = mule

ELCS = lisp/evi-mule.elc lisp/evi.elc lisp/lookup-compile.elc \
	lisp/lookup-content.elc lisp/lookup-defs.elc lisp/lookup-entry.elc \
	lisp/lookup-misc.elc lisp/lookup-package.elc lisp/lookup-types.elc \
	lisp/lookup-utils.elc lisp/lookup-vars.elc lisp/lookup-vse.elc \
	lisp/lookup.elc lisp/ndcookie.elc lisp/ndeb.elc lisp/ndic.elc \
	lisp/ndict.elc lisp/ndkks.elc lisp/ndmisc.elc lisp/ndnmz.elc \
	lisp/ndspell.elc lisp/ndtp.elc lisp/stem-english.elc \
	lisp/lookup-select.elc lisp/ndsrd.elc lisp/sdicf.elc

PRELOADS = -eval "(setq lookup-byte-compile t)"

DATA_FILES = 

EXPLICIT_DOCS = texi/lookup.texi texi/lookup-guide.texi

COMPILE_INFO_AS_MULE = t

AUTOLOAD_PATH = lisp

include ../../XEmacs.rules
