=== mule-packages/skk/Makefile ===
# Makefile for SKK lisp code

# This file is part of XEmacs.

# XEmacs is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# XEmacs is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with XEmacs; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

VERSION = 1.24
AUTHOR_VERSION = 10.62a
MAINTAINER = XEmacs Development Team <xemacs-beta@xemacs.org>
PACKAGE = skk
PKG_TYPE = regular
REQUIRES = viper mule-base elib xemacs-base apel
CATEGORY = mule

ELCS = skk-foreword.elc skk-auto.elc skk-comp.elc \
	skk-cursor.elc skk-develop.elc skk-gadget.elc skk-isearch.elc \
	skk-kakasi.elc skk-kcode.elc skk-leim.elc skk-look.elc \
	skk-num.elc skk-obsolete.elc skk-server.elc skk-tut.elc \
	skk-vars.elc skk-viper.elc skk.elc

DATA_FILES = $(wildcard etc/[RS]*)
DATA_DEST = $(PACKAGE)

EXPLICIT_DOCS = texi/skk.texi
EXTRA_TEXI_FILES = texi/gpl.texi texi/skk-faq.texi

COMPILE_INFO_AS_MULE = t

include ../../XEmacs.rules

# skk-vars.el:
# 	rm -f skk-vars.el
# 	$(XEMACS) -no-autoloads -batch -l ./make-vars.el -f make-skk-vars
