=== xemacs-packages/Sun/Makefile ===
# Makefile for Sun specific lisp code

# This file is part of XEmacs.

# XEmacs is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# XEmacs is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with XEmacs; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

VERSION = 1.16
AUTHOR_VERSION =
MAINTAINER = XEmacs Development Team <xemacs-beta@xemacs.org>
PACKAGE = Sun
PKG_TYPE = regular
REQUIRES = cc-mode xemacs-base
CATEGORY = standard

ELCS = eos.elc sccs.elc sun-eos-browser.elc sun-eos-common.elc \
	sun-eos-debugger-extra.elc sun-eos-debugger.elc \
	sun-eos-editor.elc sun-eos-init.elc sun-eos-load.elc \
	sun-eos-menubar.elc sun-eos-toolbar.elc sun-eos.elc \
	sunpro-init.elc sunpro-keys.elc sunpro-menubar.elc \
	sunpro-sparcworks.elc

include ../../XEmacs.rules
