=== xemacs-packages/auctex/Makefile ===
# Makefile for AUC TeX lisp code

# This file is part of XEmacs.

# XEmacs is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# XEmacs is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with XEmacs; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.


VERSION = 1.51
AUTHOR_VERSION = 11.84
MAINTAINER = Uwe Brauer <oub@mat.ucm.es>
PACKAGE = auctex
PKG_TYPE = regular
REQUIRES = xemacs-base texinfo fsf-compat mail-lib edit-utils
CATEGORY = standard

include ../../Local.rules

ELCC=$(XEMACS) -batch -q -no-site-file -no-init-file -l lpath.el

MULESRC = tex-jp.el
MULEELC = tex-jp.elc

AUCSRC = tex.el tex-buf.el tex-style.el latex.el tex-info.el \
	texmathp.el multi-prompt.el tex-mik.el font-latex.el tex-font.el \
	context.el context-en.el context-nl.el tex-fold.el \
	toolbar-x.el tex-bar.el bib-cite.el tex-fptex.el
AUCELC = $(AUCSRC:.el=.elc)

STYLESRC = style/prosper.el \
	   style/slides.el    style/foils.el     style/amstex.el \
	   style/article.el   style/book.el      style/letter.el \
	   style/report.el    style/amsart.el    style/amsbook.el \
	   style/epsf.el      style/psfig.el     style/latexinfo.el \
	   style/dutch.el     style/german.el    style/dk.el \
	   style/j-article.el style/j-book.el    style/j-report.el \
	   style/jarticle.el  style/jbook.el     style/jreport.el \
	   style/dinbrief.el  style/virtex.el    style/plfonts.el \
	   style/plhb.el      style/harvard.el	 style/swedish.el \
	   style/danish.el    style/slovak.el    style/czech.el \
	   style/amsmath.el   style/amstext.el   style/amsbsy.el \
	   style/amsopn.el    style/amsthm.el	 style/natbib.el \
	   style/index.el     style/makeidx.el   style/multind.el \
	   style/varioref.el  style/fancyref.el	 style/mdwlist.el \
	   style/ngerman.el   style/graphicx.el	 style/graphics.el \
	   style/verbatim.el  style/scrbase.el   style/scrartcl.el \
	   style/scrbook.el   style/scrreprt.el	 style/scrlttr2.el \
	   style/scrpage2.el  style/captcont.el  style/subfigure.el \
	   style/paralist.el  style/booktabs.el  style/emp.el \
	   style/jura.el      style/alphanum.el	 style/beamer.el \
	   style/alltt.el     style/italian.el   style/doc.el \
	   style/ltxdoc.el    style/ltx-base.el	 style/units.el \
	   style/nicefrac.el  style/url.el       style/listings.el \
	   style/jurabib.el   style/csquotes.el  style/jsarticle.el \
	   style/jsbook.el    style/babel.el     style/dk-bib.el \
	   style/inputenc.el  style/frenchb.el   style/francais.el \
	   style/MinionPro.el style/pdfsync.el   style/polish.el \
	   style/polski.el
STYLEELC = $(STYLESRC:.el=.elc)

DISTCLEANFILES = auctex.el auto-loads.el
DISTTEXTS = FAQ INSTALL INSTALL.windows README TODO

EXTRA_DEPENDENCIES = $(STYLEELC) \
	doc/tex-ref.dvi doc/tex-ref.log \
	INSTALLATION README CHANGES \
	$(DATA_3_FILES) $(DATA_4_FILES)

DATA_FILES = $(STYLEELC) $(STYLESRC)
DATA_DEST = $(PACKAGE)/style
# DATA_1_FILES = .dummy
# DATA_1_DEST = $(PACKAGE)/var
# DATA_2_FILES = $(wildcard images/*.xpm)
# DATA_2_DEST = $(PACKAGE)/images
DATA_1_FILES = $(wildcard images/*.xpm)
DATA_1_DEST = $(PACKAGE)/images

PRVSRC = preview/prv-emacs.el preview/preview.el preview/prv-xemacs.el
ELCS_1 = $(PRVSRC:.el=.elc)
ELCS_1_DEST = $(PACKAGE)
ELCS_1_FILES = $(ELCS_1) $(PRVSRC)

ICON_SOURCES = \
 preview/images/prverr16.xpm  preview/images/prverr20.xpm       preview/images/prverr24.xbm \
 preview/images/prverr24.xpm  preview/images/prvtex-cap-up.xpm  preview/images/prvtex12.xbm \
 preview/images/prvtex12.xpm  preview/images/prvtex16.xbm       preview/images/prvtex16.xpm \
 preview/images/prvtex20.xpm  preview/images/prvtex24.xbm       preview/images/prvtex24.xpm \
 preview/images/prvwrk12.xpm  preview/images/prvwrk14.xpm       preview/images/prvwrk16.xpm \
 preview/images/prvwrk20.xpm  preview/images/prvwrk24.xbm       preview/images/prvwrk24.xpm
DATA_2_FILES = $(ICON_SOURCES)
DATA_2_DEST = $(PACKAGE)/images

EXPLICIT_DOCS = doc/auctex.texi doc/preview-latex.texi
EXTRA_TEXI_FILES = \
	doc/changes.texi doc/faq.texi doc/fdl.texi doc/install.texi \
	doc/intro.texi doc/macros.texi doc/quickstart.texi  \
	doc/todo.texi doc/version.texi \
	doc/preview-dtxdoc.texi doc/preview-faq.texi	  \
	doc/preview-problems.texi doc/preview-readme.texi \
	doc/preview-todo.texi \
	doc/tex-ref.tex doc/wininstall.texi doc/copying.texi RELEASE

PRELOADS = -eval '(setq load-path (cons "." (cons "preview" load-path)))'

ELCS = $(AUCELC)

ifeq ($(BUILD_WITHOUT_MULE),)
ELCS += $(MULEELC)
endif

%.dvi: %.tex
ifneq ($(TEX),)
	cd $(@D) && $(TEX) $(*F)
else
	-
endif

RUN_MAKEINFO_INDIVIDUAL = $(MAKEINFO) -I doc/ -D rawfile --no-validate  --force --no-headers -o $@ $<

## Preview latex
PL = preview/latex

TEXMFGEN = preview.sty prauctex.def prauctex.cfg prshowbox.def \
	prshowlabels.def prtracingall.def prtightpage.def prlyx.def \
	prcounters.def prfootnotes.def

PREVIEW_TEXMFGEN = $(foreach file,$(TEXMFGEN),$(PL)/$(file))
DATA_3_FILES = $(PREVIEW_TEXMFGEN)
DATA_3_DEST = $(PACKAGE)/latex

DATA_4_FILES = preview/latex/preview.dvi
DATA_4_DEST = $(PACKAGE)/doc

EXTRA_AUTOLOADS_DEPENDENCIES = tex-site.el preview/auto.el

include ../../XEmacs.rules

# If Makefile or _pkg.el has changed (Makefile will trigger _pkg.el
# rebuilding), then our suppress forms may have changed.  Just rebuilding
# the autoload file normally isn't enough as the old suppress forms will
# still sit there, so nuke it first.
$(AUTOLOAD_PATH)/auto-autoloads.el :: $(AUTOLOAD_PATH)/_pkg.el
	rm -f $(AUTOLOAD_PATH)/auto-autoloads.el

ifeq ($(XEMACS_21_5),t)
$(AUTOLOAD_PATH)/auto-autoloads.el :: $(GENERATED_ELC_DEPENDENCIES) $(EXTRA_AUTOLOADS_DEPENDENCIES)
	rm -f $(AUTOLOAD_PATH)/auto-autoloads.el
	$(XEMACS_BATCH_CLEAN) $(LOAD_AUTOLOADS) \
		-l autoload -f batch-update-directory-autoloads \
		$(PACKAGE) $(AUTOLOAD_PATH)
	# The equivalent of `touch' is done automatically
	cat tex-site.el >> $(AUTOLOAD_PATH)/auto-autoloads.el
	cat preview/auto.el >> $(AUTOLOAD_PATH)/auto-autoloads.el
	@rm -f $(AUTOLOAD_PATH)/auto-autoloads.el~
	echo "THIS IS XEMACS_21_5"

$(AUTOLOAD_PATH)/custom-defines.el : $(GENERATED_ELC_DEPENDENCIES) $(EXTRA_AUTOLOADS_DEPENDENCIES)
	$(XEMACS_BATCH_CLEAN) $(LOAD_AUTOLOADS) \
		-l autoload -f batch-update-directory-custom-defines \
		$(PACKAGE) $(AUTOLOAD_PATH)
	@rm -f $(AUTOLOAD_PATH)/custom-defines.el~

else
AUTOLOAD_PACKAGE_NAME = (setq autoload-package-name \"$(PACKAGE)\")
AUTOLOAD_FILE = (setq generated-autoload-file \
	\"$(AUTOLOAD_PATH)/auto-autoloads.el\")

$(AUTOLOAD_PATH)/auto-autoloads.el :: $(GENERATED_ELC_DEPENDENCIES) $(EXTRA_AUTOLOADS_DEPENDENCIES)
	rm -f $(AUTOLOAD_PATH)/auto-autoloads.el
	$(XEMACS_BATCH_CLEAN) $(LOAD_AUTOLOADS) \
		-eval "$(AUTOLOAD_PACKAGE_NAME)" \
		-eval "$(AUTOLOAD_FILE)" \
		-l autoload -f batch-update-autoloads $^
	cat tex-site.el >> $(AUTOLOAD_PATH)/auto-autoloads.el
	cat preview/auto.el >> $(AUTOLOAD_PATH)/auto-autoloads.el
	@touch $(AUTOLOAD_PATH)/auto-autoloads.el
	@rm -f $(AUTOLOAD_PATH)/auto-autoloads.el~
endif

## 70+ pages
doc/auctex.dvi: doc/auctex.texi
	cd $(@D) && $(TEX) "\nonstopmode\input auctex.texi" \
	&& texindex auctex.ky && texindex auctex.fn \
	&& texindex auctex.vr && texindex auctex.cp \
	&& $(TEX) "\nonstopmode\input auctex.texi"

INSTALLATION: doc/install.texi
	-$(RUN_MAKEINFO_INDIVIDUAL)

README: doc/intro.texi
	-$(RUN_MAKEINFO_INDIVIDUAL)

CHANGES: doc/changes.texi
	-$(RUN_MAKEINFO_INDIVIDUAL)

# does not build.
HISTORY: doc/history.texi
	-$(RUN_MAKEINFO_INDIVIDUAL)

$(PL)/preview-mk.ins: $(PL)/preview.dtx $(PL)/bootstrap.ins
	cd $(PL) && \
	$(TEX) '\nonstopmode \input bootstrap.ins'

$(PL)/preview.ins: $(PL)/preview.dtx
	cd $(PL) && \
	$(TEX) '\nonstopmode\def\jobname{.ins}\input docstrip ' \
	'\generate{\file{preview.ins}{\from{preview.dtx}{installer}}}' \
	'\endbatchfile'

$(PREVIEW_TEXMFGEN) $(PL)/preview.drv: $(PL)/preview.dtx $(PL)/preview-mk.ins
	cd $(PL) && \
	$(TEX) '\nonstopmode \input preview-mk.ins'

$(PL)/preview.dvi: $(PL)/preview.drv $(PL)/preview.dtx $(PL)/preview.sty
	cd $(PL) && \
	$(LATEX) '\nonstopmode \input preview.drv' && \
	$(LATEX) '\nonstopmode \input preview.drv' && \
	$(LATEX) '\nonstopmode \input preview.drv'
