=== debian/changelog ===
xemacs21-packages (2009.02.17.dfsg.3-3) unstable; urgency=low

  * Add a dependency on texlive-latex-recommended following texlive
    refactoring (closes: #1054821).
  * Yet more texinfo bodges.

 -- Mark Brown <broonie@debian.org>  Thu, 23 Nov 2023 14:48:01 +0000

xemacs21-packages (2009.02.17.dfsg.3-2) unstable; urgency=low

  * Clean preview.hd (closes: #1048441).

 -- Mark Brown <broonie@debian.org>  Tue, 15 Aug 2023 01:01:23 +0100

xemacs21-packages (2009.02.17.dfsg.3-1) unstable; urgency=low

  * Drop LValue.java with non-free disparaging to Sun license
    condition (closes: #992089).
  * Drop xoobr binary from source.
  * Add build-indep and build-arch targets (closes: #998930).
  * debhelper 13, dh_prep (closes: #965888).
  * Policy 4.5.1 (no changes).

 -- Mark Brown <broonie@debian.org>  Fri, 18 Mar 2022 01:40:42 +0000
